package setting

import (
	"haixun-backend/internal/model/setting/domain/entity"
	"haixun-backend/internal/types"
)

func toSettingData(item *entity.Setting) types.SettingData {
	return types.SettingData{
		ID:       item.ID.Hex(),
		Scope:    item.Scope,
		ScopeID:  item.ScopeID,
		Key:      item.Key,
		Value:    item.Value,
		Version:  item.Version,
		CreateAt: item.CreateAt,
		UpdateAt: item.UpdateAt,
	}
}
